"use strict";

exports.__esModule = true;
exports.createEventHandle = createEventHandle;

var _addEvent = require("../../modules/addEvent");

/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 */

/**
 * Return a handle for adding listeners of the given type to targets
 */
function createEventHandle(type, options) {
  return function addListener(target, listener) {
    if (target == null || typeof target.addEventListener !== 'function') {
      throw new Error('createEventHandle: called on an invalid target.');
    }

    return (0, _addEvent.addEvent)(target, type, listener, options);
  };
}