"use strict";

exports.__esModule = true;
exports.RichTextArea = void 0;

var React = _interopRequireWildcard(require("react"));

var _createElement = require("../create-element");

var _constants = require("../style-sheet/constants");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/**
 * Copyright (c) Nicolas Gallagher.
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 */
var RichTextArea = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var accessibilityControls = props.accessibilityControls,
      accessibilityDescribedBy = props.accessibilityDescribedBy,
      accessibilityDetails = props.accessibilityDetails,
      accessibilityKeyShortcuts = props.accessibilityKeyShortcuts,
      accessibilityLabel = props.accessibilityLabel,
      accessibilityLabelledBy = props.accessibilityLabelledBy,
      accessibilityRole = props.accessibilityRole,
      accessibilityRoleDescription = props.accessibilityRoleDescription,
      autoComplete = props.autoComplete,
      dataSet = props.dataSet,
      defaultValue = props.defaultValue,
      _props$direction = props.direction,
      direction = _props$direction === void 0 ? 'auto' : _props$direction,
      disabled = props.disabled,
      enterKeyHint = props.enterKeyHint,
      inputMode = props.inputMode,
      lang = props.lang,
      nativeID = props.nativeID,
      placeholder = props.placeholder,
      readOnly = props.readOnly,
      required = props.required,
      spellCheck = props.spellCheck,
      style = props.style,
      testID = props.testID,
      value = props.value; // Construct the element

  var element = (0, _createElement.createElement)('div', {
    accessibilityAutoComplete: autoComplete,
    accessibilityControls: accessibilityControls,
    accessibilityDescribedBy: accessibilityDescribedBy,
    accessibilityDetails: accessibilityDetails,
    accessibilityDisabled: disabled,
    accessibilityKeyShortcuts: accessibilityKeyShortcuts,
    accessibilityLabel: accessibilityLabel,
    accessibilityLabelledBy: accessibilityLabelledBy,
    accessibilityMultiline: true,
    accessibilityPlaceholder: placeholder,
    accessibilityReadOnly: readOnly,
    accessibilityRequired: required,
    accessibilityRole: accessibilityRole,
    accessibilityRoleDescription: accessibilityRoleDescription,
    children: defaultValue || value,
    classList: defaultClassList,
    contentEditable: !disabled,
    dataSet: dataSet,
    dir: direction,
    enterKeyHint: enterKeyHint,
    focusable: true,
    inputMode: inputMode,
    lang: lang,
    nativeID: nativeID,
    ref: ref,
    spellCheck: spellCheck,
    suppressContentEditableWarning: true,
    style: style,
    testID: testID
  });
  return element;
});
exports.RichTextArea = RichTextArea;
RichTextArea.displayName = 'RichTextArea';
var classes = (0, _createElement.createStyleRules)({
  richtextarea: {
    backgroundColor: 'transparent',
    border: '0 solid black',
    borderRadius: 0,
    boxSizing: 'border-box',
    font: "14px " + _constants.SYSTEM_FONT_STACK,
    margin: 0,
    minHeight: '2.75em',
    padding: 0
  }
});
var defaultClassList = [classes.richtextarea];