"use strict";

exports.__esModule = true;
exports.useModality = useModality;

var _react = _interopRequireDefault(require("react"));

var _modality = require("../../modules/modality");

var _useLayoutEffect = _interopRequireDefault(require("../../modules/useLayoutEffect"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Copyright (c) Nicolas Gallagher.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 */
function useModality() {
  var _React$useState = _react.default.useState({
    activeModality: (0, _modality.getActiveModality)(),
    modality: (0, _modality.getModality)()
  }),
      modalities = _React$useState[0],
      setModalities = _React$useState[1];

  (0, _useLayoutEffect.default)(function () {
    var removeModalityListener = (0, _modality.addModalityListener)(function (modalities) {
      setModalities(modalities);
    });
    return removeModalityListener;
  }, []);
  return modalities;
}