"use strict";

exports.__esModule = true;
exports.default = hyphenateStyleName;

var _hyphenateString = _interopRequireDefault(require("./hyphenateString"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 */
var msPattern = /^ms-/;
var cache = {};

function hyphenateStyleName(name) {
  if (cache.hasOwnProperty(name)) {
    return cache[name];
  }

  var hyphenatedName = (0, _hyphenateString.default)(name);
  var result = msPattern.test(hyphenatedName) ? '-' + hyphenatedName : hyphenatedName;
  cache[name] = result;
  return result;
}

module.exports = exports.default;