"use strict";

exports.__esModule = true;
exports.default = void 0;

/**
 * Copyright (c) Nicolas Gallagher.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 */
var CSS_UNIT_RE = /^[+-]?\d*(?:\.\d+)?(?:[Ee][+-]?\d+)?(%|\w*)/;

var getUnit = function getUnit(str) {
  var match = str.match(CSS_UNIT_RE);
  return match != null ? match[1] : '';
};

var isNumeric = function isNumeric(n) {
  return !isNaN(parseFloat(n)) && isFinite(n);
};

var multiplyStyleLengthValue = function multiplyStyleLengthValue(value, multiple) {
  var multi = multiple != null ? multiple : 1;

  if (typeof value === 'string') {
    var val = parseFloat(value);

    if (isNumeric(val)) {
      var number = val * multi;
      var unit = getUnit(value);
      return "" + number + unit;
    } else {
      return value;
    }
  }

  return value * multi;
};

var _default = multiplyStyleLengthValue;
exports.default = _default;
module.exports = exports.default;