# createEventHandle

Listen to arbitrary DOM events from outside of React components. This should be rarely needed. It is available to provide direct access to the web platform's event system for building high-level systems like the built-in "Responder System" (for negotiating ownership over pointers) and the "Modality System" (for tracking changes in how a person is interacting with the UI).

### createEventHandle(type, options)

`type` is the DOM event type. `options` is an object with properties `capture` and `passive`. The return value is a function takes a DOM node and a listener for the event. When that function is called, the event listener is set and it returns a function to manually remove the event listener.


```js
import createEventHandle from 'react-gui/create-event-handle';

const addClickListener = createEventHandle('click', options);
const removeClickListener1 = addClickListener(node, clickListener);
const removeClickListener2 = addClickListener(anotherNode, anotherClickListener);
```
