# use-file-selector

Open the native file selector. Includes options to select multiple files, the accepted file types, and the capture source – `environment` (e.g., rear camera) or `user` (e.g., front camera).

```js
import useFileSelector from 'react-gui/use-file-selector';

function Component() {
  const openFileSelector = useFileSelector((files) => {
    files.forEach((file: File) => {
      // do something with file
    });
  }, {
    acceptMultiple: true,
    acceptTypes: ['image/jpeg','*.jpg']
    source: 'environment'
  });
  // ...
}
```
