/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @flow strict-local
 */

import type { ElementRef } from 'react';

import React from 'react';
import mergeRefs from '#internal/mergeRefs';

export function useMergeRefs<TElement>(
  ...args: $ReadOnlyArray<ElementRef<TElement>>
) {
  return React.useMemo(
    () => mergeRefs(...args),
    // eslint-disable-next-line
    [...args]
  );
}
