# View

View is the fundamental layout primitive. It has built in accessibility controls, enforces flexbox columns by default (and supports grid and float layout). Raw text nodes are not allowed as children or siblings of View, and no text-related styling is supported. A View nested within a Text will render inline without altering its display or that of its children. Accessibility props map directly to WAI-ARIA properties (excluding properties and values that are deprecated, redundant, or to be avoided).

* `accessibilityActiveDescendant`
* `accessibilityAtomic`
* `accessibilityAutoComplete`
* `accessibilityBusy`
* `accessibilityChecked`
* `accessibilityColumnCount`
* `accessibilityColumnIndex`
* `accessibilityColumnSpan`
* `accessibilityControls`
* `accessibilityDescribedBy`
* `accessibilityDetails`
* `accessibilityDisabled`
* `accessibilityErrorMessage`
* `accessibilityExpanded`
* `accessibilityFlowTo`
* `accessibilityHasPopup`
* `accessibilityHidden`
* `accessibilityInvalid`
* `accessibilityKeyShortcuts`
* `accessibilityLabel`
* `accessibilityLabelledBy`
* `accessibilityLevel`
* `accessibilityLiveRegion`
* `accessibilityModal`
* `accessibilityMultiline`
* `accessibilityMultiSelectable`
* `accessibilityOrientation`
* `accessibilityOwns`
* `accessibilityPlaceholder`
* `accessibilityPosInSet`
* `accessibilityPressed`
* `accessibilityReadOnly`
* `accessibilityRequired`
* `accessibilityRole`
* `accessibilityRoleDescription`
* `accessibilityRowCount`
* `accessibilityRowIndex`
* `accessibilityRowSpan`
* `accessibilitySelected`
* `accessibilitySetSize`
* `accessibilitySort`
* `accessibilityValueMax`
* `accessibilityValueMin`
* `accessibilityValueNow`
* `accessibilityValueText`
* `direction`: set the direction of the layout to `ltr` or `rtl`.
* `focusable`: make the view focusable with a keyboard.
* `href`: make the view render as a link.
* `hrefAttrs`: configure the link behavior.
* `nativeID`: set the native `id`.
* `style`: apply strict styles (not typographic styles).
* `testID`: label the element with a test selector.
